CON
  _CLKMODE = XTAL1 + PLL16X
  _XINFREQ = 5_000_000

VAR

OBJ
  pst      : "Serial Terminal v1.01"

PUB BasicSine | angle, addr
  pst.Start( 115200 )
  waitcnt( ( clkfreq * 2 ) + cnt )
  pst.Clear
  pst.str( string( "top", 13 ) )
  addr := $E000
  'repeat angle from 0 to 1023 step 1
  'repeat angle from 1024 to 2047 step 1
  repeat angle from 2048 to 2051 step 1
    pst.dec( angle )
    pst.char(",")
    pst.hex( ( angle * 2 ) + addr, 4 )
    pst.char("-")
    pst.hex( ( angle * 2 ) + 1 + addr, 4 )
    pst.char(",")
    pst.dec( word[ addr ][ angle ] )
    pst.char( 13 )
    waitcnt( clkfreq / 20 + cnt )
  repeat